Docs
Get Roll Up Schedule
GET /Organizations/{orgId}/schedule
GET
/Organizations/{orgId}/scheduleLists the global activities of the organization's active events plus every activity the caller takes part in as crew. Use Activities_GetActivities for a single event. The orgId comes from the Organization API's Users_GetOrganizations; needs the organization basic access permission.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| orgId | uuid | Required |
Response
Type: GetOrganizationActivitiesRollUpResponse[]
GetOrganizationActivitiesRollUpResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| eventId | uuid | |
| type | string| null | |
| name | string| null | |
| startDateTime | date-time | |
| endDateTime | date-time | |
| isAllDay | boolean | |
| recurrenceRules | GetOrganizationActivitiesRollUpResponseRecurrenceRule | |
| crew | GetOrganizationActivitiesRollUpResponseParticipant[]| null |
GetOrganizationActivitiesRollUpResponseRecurrenceRule
| Field | Type | Description |
|---|---|---|
| frequency | string| null | |
| interval | integer | |
| daysOfWeek | string[]| null | |
| endDate | date-time |
GetOrganizationActivitiesRollUpResponseParticipant
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| connectedUserId | uuid| null |